<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Bidngo Scraper</title>
    <link href="src/css/opensans.css" rel="stylesheet" type="text/css">
    <link href="src/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <link rel="stylesheet" type="text/css" href="src/css/styles.css">
    <script src="src/js/bootstrap.bundle.min.js"></script>
    <script type="text/javascript" src="src/js/jquery-3.5.1.min.js"></script>
</head>
<body>
<div class="card">
    <div class="card-body">
        <h5 class="card-title"><img class="logo-icon" src="src/Bidngo_logo.png">Bidngo Scraper</h5>
    </div>
    <div class="card-body">
        <div class="btn-group mb-2">
            <button id="buttonFillForm" class="btn btn-primary" type="button">Fill Form</button>
            <button id="buttonSendData" class="btn btn-success" type="button">Send Data</button>
        </div>
        <div id="messages">
            <div id="validationMessages" class="invalid-feedback"></div>
        </div>
        <ul class="nav nav-tabs mt-2" id="myTab" role="tablist">
            <li class="nav-item" role="presentation">
                <a class="nav-link active" id="product-tab" data-bs-toggle="tab" href="#product" role="tab"
                   aria-controls="product" aria-selected="true">Product</a>
            </li>
            <li class="nav-item" role="presentation">
                <a class="nav-link" id="auction-tab" data-bs-toggle="tab" href="#auction" role="tab"
                   aria-controls="auction" aria-selected="false">Auction</a>
            </li>
        </ul>
        <div class="tab-content" id="myTabContent">
            <div class="tab-pane fade show active" id="product" role="tabpanel" aria-labelledby="home-tab">
                <form class="was-validated">
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputName">
                            <span class="input-group-text">Name</span>
                            <input type="text" class="form-control" id="inputName" required>
                            <div id="validationInputName" class="invalid-feedback">
                                Please fill product name
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputLot">
                            <span class="input-group-text">Lot</span>
                            <input type="text" class="form-control" id="inputLot" required>
                            <div id="validationInputLot" class="invalid-feedback">
                                Please fill lot
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputPrice">
                            <span class="input-group-text">Price</span>
                            <input type="text" class="form-control" id="inputPrice" placeholder="" required>
                            <div id="validationInputPrice" class="invalid-feedback">
                                Please fill price
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputDescription">
                            <span class="input-group-text">Description</span>
                            <textarea type="text" class="form-control" id="inputDescription" rows="3"
                                      required></textarea>
                            <div id="validationInputDescription" class="invalid-feedback">
                                Please fill description
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputQuantity">
                            <span class="input-group-text">Quantity</span>
                            <input type="text" class="form-control" id="inputQuantity" required>
                            <div id="validationInputQuantity" class="invalid-feedback">
                                Please fill quantity
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputCondition">
                            <span class="input-group-text">Condition</span>
                            <textarea type="text" class="form-control" id="inputCondition" rows="3" required></textarea>
                            <div id="validationInputCondition" class="invalid-feedback">
                                Please fill condition
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputExtRetail">
                            <span class="input-group-text">ExtRetail</span>
                            <input type="text" class="form-control" id="inputExtRetail" required>
                            <div id="validationInputExtRetail" class="invalid-feedback">
                                Please fill ext. retail
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputShipping">
                            <span class="input-group-text">Shipping</span>
                            <input type="text" class="form-control" id="inputShipping" required>
                            <div id="validationInputShipping" class="invalid-feedback">
                                Please fill shipping
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputImageUrls">
                            <span class="input-group-text">Image URLs</span>
                            <textarea type="text" class="form-control" id="inputImageUrls" rows="5" required></textarea>
                            <div id="validationInputImageUrls" class="invalid-feedback">
                                Please fill image url
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputManifestUrl">
                            <span class="input-group-text">Manifest URL</span>
                            <input type="text" class="form-control" id="inputManifestUrl" required>
                            <div id="validationInputManifestUrl" class="invalid-feedback">
                                Please fill manifest url
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="tab-pane fade" id="auction" role="tabpanel" aria-labelledby="auction-tab">
                <form class="was-validated">
                    <div class="col-md-4 mt-2">
                        <div class="form-check form-switch">
                            <label class="form-check-label" for="inputAuctionStatus">Auction status</label>
                            <input class="form-check-input" type="checkbox" id="inputAuctionStatus" checked>
                        </div>
<!--                        <div class="input-group has-validation" id="groupInputAuctionStatus">-->
<!--                            <span class="input-group-text">Auction status</span>-->
<!--                            <input type="checkbox" class="form-check-input" id="inputAuctionStatus">-->
<!--                            <div id="validationInputAuctionStatus" class="invalid-feedback">-->
<!--                                Please fill auction status-->
<!--                            </div>-->
<!--                        </div>-->
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputAuctionPrice">
                            <span class="input-group-text">Auction Price</span>
                            <input type="text" class="form-control" id="inputAuctionPrice" required>
                            <div id="validationInputAuctionPrice" class="invalid-feedback">
                                Please fill auction price
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputReservePrice">
                            <span class="input-group-text">Reserve price</span>
                            <input type="text" class="form-control" id="inputReservePrice" placeholder="" required>
                            <div id="validationInputReservePrice" class="invalid-feedback">
                                Please fill reserve price
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputAuctionStartTime">
                            <span class="input-group-text">Start time</span>
                            <input type="date" class="form-control" id="inputAuctionStartTime" pattern="[0-9]{4}-[0-9]{2}-[0-9]{2}" required>
                            <div id="validationInputAuctionStartTime" class="invalid-feedback">
                                Please fill auction start time
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputAuctionStopTime">
                            <span class="input-group-text">Stop time</span>
                            <input type="date" class="form-control" id="inputAuctionStopTime" required>
                            <div id="validationInputAuctionStopTime" class="invalid-feedback">
                                Please fill auction stop time
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mt-2">
                        <div class="input-group has-validation" id="groupInputCouponValidTime">
                            <span class="input-group-text">Coupon valid time</span>
                            <input type="text" class="form-control" id="inputCouponValidTime" required>
                            <div id="validationInputCouponValidTime" class="invalid-feedback">
                                Please fill coupon valid time
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <script src="popup.js"></script>
</div>
</body>
</html>